## Apache Zeta Components Manual :: Docs For Class ezcMailParserSet

### Mail::ezcMailParserSet

### Interface ezcMailParserSet

Interface common to all parser sets.

A parser set provides a simple interface to fetch mail data line by line from a set of mail.

Source for this file: /Mail/src/parser/interfaces/parser_set.php

Version: | //autogen//

### Method Summary

public string | `getNextLine( )` Returns one line of data from the current mail in the set including the ending linebreak.
public bool | `hasData( )` Returns true if mail data is available for parsing.
public bool | `nextMail( )` Moves the set to the next mail and returns true upon success.

### Methods

#### getNextLine

string getNextLine( )

Returns one line of data from the current mail in the set including the ending linebreak.

Null is returned if there is no current mail in the set or the end of the mail is reached,

#### hasData

bool hasData( )

Returns true if mail data is available for parsing.

#### nextMail

bool nextMail( )

Moves the set to the next mail and returns true upon success.

False is returned if there are no more mail in the set.

Documentation generated by phpDocumentor 1.4.3